import { IAuthorizer } from 'azure-actions-webclient/Authorizer/IAuthorizer';
export interface ApplicationInsights {
    id?: string;
    name: string;
    type: string;
    location: string;
    tags: {
        [key: string]: string;
    };
    kind?: string;
    etag?: string;
    properties?: {
        [key: string]: any;
    };
}
export declare class AzureApplicationInsights {
    private _name;
    private _resourceGroupName;
    private _client;
    constructor(endpoint: IAuthorizer, resourceGroupName: string, name: string);
    addReleaseAnnotation(annotation: any): Promise<void>;
    getResourceGroupName(): string;
}
export declare class ApplicationInsightsResources {
    private _client;
    constructor(endpoint: IAuthorizer);
    list(resourceGroupName?: string, filter?: string[]): Promise<ApplicationInsights[]>;
}
