export declare const KUDU_DEPLOYMENT_CONSTANTS: {
    SUCCESS: number;
    FAILED: number;
};
export declare class Kudu {
    private _client;
    constructor(scmUri: string, username: string, password: string);
    updateDeployment(requestBody: any): Promise<string>;
    getAppSettings(): Promise<Map<string, string>>;
    getAppRuntime(): Promise<any>;
    runCommand(physicalPath: string, command: string): Promise<void>;
    extractZIP(webPackage: string, physicalPath: string): Promise<void>;
    zipDeploy(webPackage: string, queryParameters?: Array<string>): Promise<any>;
    imageDeploy(headers: any): Promise<void>;
    warDeploy(webPackage: string, queryParameters?: Array<string>): Promise<any>;
    getDeploymentDetails(deploymentID: string): Promise<any>;
    getDeploymentLogs(log_url: string): Promise<any>;
    getFileContent(physicalPath: string, fileName: string): Promise<string>;
    uploadFile(physicalPath: string, fileName: string, filePath: string): Promise<void>;
    deleteFile(physicalPath: string, fileName: string): Promise<void>;
    private _getDeploymentDetailsFromPollURL;
    private _getFormattedError;
    private _sleep;
}
