import { IAuthorizer } from "./IAuthorizer";
export declare class AzureCLIAuthorizer implements IAuthorizer {
    private constructor();
    static getAuthorizer(): Promise<AzureCLIAuthorizer>;
    readonly subscriptionID: string;
    readonly baseUrl: string;
    getCloudSuffixUrl(suffixName: string): string;
    getCloudEndpointUrl(endpointName: string): string;
    getToken(force?: boolean, args?: string[]): Promise<string>;
    static executeAzCliCommand(command: string, args?: string[]): Promise<string>;
    private static _getAzCliPath;
    private _initialize;
    private _token;
    private _subscriptionId;
    private _cloudSuffixes;
    private _cloudEndpoints;
    private static _azCliPath;
    private static _authorizer;
}
