import { IAuthorizer } from "./IAuthorizer";
export declare class AzureEndpoint implements IAuthorizer {
    private static endpoint;
    private _subscriptionID;
    private _webClient;
    private servicePrincipalClientID;
    private servicePrincipalKey;
    private tenantID;
    private _baseUrl;
    private _environmentAuthorityUrl;
    private _activeDirectoryResourceId;
    private token_deferred?;
    private constructor();
    static getEndpoint(authFilePath: string): AzureEndpoint;
    readonly subscriptionID: string;
    baseUrl: string;
    environmentAuthorityUrl: string;
    activeDirectoryResourceId: string;
    getCloudEndpointUrl(endpointName: string): string;
    getCloudSuffixUrl(suffixName: string): string;
    getToken(force?: boolean, args?: string[]): Promise<string>;
    private _getSPNAuthorizationToken;
}
