"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const core = require("@actions/core");
const AzureCLIAuthorizer_1 = require("./Authorizer/AzureCLIAuthorizer");
class AuthorizerFactory {
    static getAuthorizer() {
        return __awaiter(this, void 0, void 0, function* () {
            core.debug('try-get AzureCLIAuthorizer');
            try {
                return yield AzureCLIAuthorizer_1.AzureCLIAuthorizer.getAuthorizer();
            }
            catch (error) {
                core.debug(error);
                throw new Error("No credentails found. Add an Azure login action before this action. For more details refer https://github.com/azure/login");
            }
        });
    }
}
exports.AuthorizerFactory = AuthorizerFactory;
