import { WebResponse, WebRequest } from './WebClient';
import { IAuthorizer } from './Authorizer/IAuthorizer';
export declare class ApiResult {
    error: any;
    result: any;
    request: any;
    response: any;
    constructor(error: any, result?: any, request?: any, response?: any);
}
export declare class AzureError {
    code: any;
    message?: string;
    statusCode?: number;
    details: any;
}
export interface ApiCallback {
    (error: any, result?: any, request?: any, response?: any): void;
}
export declare function ToError(response: WebResponse): AzureError;
export declare class ServiceClient {
    constructor(authorizer: IAuthorizer, timeout?: number);
    getRequestUri(uriFormat: string, parameters: {}, queryParameters?: string[], apiVersion?: string): string;
    getRequestUriForbaseUrl(baseUrl: string, uriFormat: string, parameters: {}, queryParameters?: string[], apiVersion?: string): string;
    beginRequest(request: WebRequest, tokenArgs?: string[]): Promise<WebResponse>;
    accumulateResultFromPagedResult(nextLinkUrl: string): Promise<ApiResult>;
    subscriptionId: string;
    protected baseUrl: string;
    protected longRunningOperationRetryTimeout: number;
    private _authorizer;
    private _webClient;
}
