/// <reference types="node" />
export interface WebRequest {
    method: string;
    uri: string;
    body?: string | NodeJS.ReadableStream;
    headers?: any;
}
export interface WebResponse {
    statusCode: number;
    statusMessage: string;
    headers: any;
    body: any;
}
export interface WebRequestOptions {
    retriableErrorCodes?: string[];
    retryCount?: number;
    retryIntervalInSeconds?: number;
    retriableStatusCodes?: number[];
    retryRequestTimedout?: boolean;
}
export declare class WebClient {
    constructor();
    sendRequest(request: WebRequest, options?: WebRequestOptions): Promise<WebResponse>;
    private _sendRequestInternal;
    private _toWebResponse;
    private _sleep;
    private _httpClient;
}
